#!/bin/bash

cargo build
UAUTH=./target/debug/uauth2

$UAUTH init
$UAUTH cert generate
$UAUTH client create testclient
$UAUTH user create kestrel
echo "please enter password for user 'kestrel'"
$UAUTH user auth -p kestrel

$UAUTH config load /dev/stdin <<EOF
base_url = "http://localhost:2114/"
EOF
